﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfApplication188.ViewModel;
using Infragistics.Windows.DataPresenter;

namespace WpfApplication188
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
       
        public MainWindow()
        {
            InitializeComponent();
           

        }

        private void btnsave_Click(object sender, RoutedEventArgs e)
        {
            VM vm = Application.Current.MainWindow.Resources["vm"] as VM;
            foreach (DataRecord dr in xamDataGrid1.Records)
            {
                Boolean b;
                if (dr.Cells["Delete"].Value != null)
                {
                    if (Boolean.TryParse(dr.Cells["Delete"].Value.ToString(), out b))
                    {
                        if (b)
                        {
                            vm.DeletePerson(dr.DataItem as Person);

                        }
                    }
                }
              
            }
            xamDataGrid1.ExecuteCommand(DataPresenterCommands.CommitChangesToAllRecords);
        }

        private void xamDataGrid1_RecordAdded(object sender, Infragistics.Windows.DataPresenter.Events.RecordAddedEventArgs e)
        {
          e.Record.Tag = "a";

        }

        private void xamDataGrid1_RecordUpdated(object sender, Infragistics.Windows.DataPresenter.Events.RecordUpdatedEventArgs e)
        {
            if (e.Record.Tag != null)
            {
                if (e.Record.Tag == "a")
                {
                    Person p = e.Record.DataItem as Person;
                    VM vm = Application.Current.MainWindow.Resources["vm"] as VM;
                    vm.DeletePerson(p);
                    int index = vm.People.Count;
                    vm.People.Insert(index, p);
                    e.Record.Tag = null;
                }
            }

        }

        private void xamDataGrid1_RecordAdding(object sender, Infragistics.Windows.DataPresenter.Events.RecordAddingEventArgs e)
        {
           // e.Record.Tag = "a";
        }
    }
}
